<?xml version="1.0" encoding="US-ASCII"?>
<!-- RR Donnelley Xcelerate Taxonomy Schema, based on XBRL 2.1  http://www.edgar-online.com/ -->
<!-- Version: 6.22.4 -->
<!-- Round: 12 -->
<!-- Creation date: 2015-02-25T18:20:10Z -->
<!-- Copyright (c) 2005-2013 R.R. Donnelley & Sons Company All Rights Reserved. -->
<schema xmlns="http://www.w3.org/2001/XMLSchema"
  xmlns:xbrli="http://www.xbrl.org/2003/instance"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:us-gaap="http://fasb.org/us-gaap/2014-01-31"
  xmlns:us-types="http://fasb.org/us-types/2014-01-31"
  xmlns:mstr="http://www.microstrategy.com/20141231"
  xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric"
  xmlns:num="http://www.xbrl.org/dtr/type/numeric"
  xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
  xmlns:country="http://xbrl.sec.gov/country/2013-01-31"
  xmlns:currency="http://xbrl.sec.gov/currency/2014-01-31"
  xmlns:dei="http://xbrl.sec.gov/dei/2014-01-31"
  xmlns:exch="http://xbrl.sec.gov/exch/2014-01-31"
  xmlns:invest="http://xbrl.sec.gov/invest/2013-01-31"
  xmlns:naics="http://xbrl.sec.gov/naics/2011-01-31"
  xmlns:sic="http://xbrl.sec.gov/sic/2011-01-31"
  xmlns:stpr="http://xbrl.sec.gov/stpr/2011-01-31"
  targetNamespace="http://www.microstrategy.com/20141231"
  elementFormDefault="qualified" attributeFormDefault="unqualified">
  <annotation>
    <appinfo>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DocumentandEntityInformation" id="DocumentandEntityInformation">
        <link:definition>101 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/StatementOfFinancialPositionClassified" id="Role_StatementOfFinancialPositionClassified">
        <link:definition>103 - Statement - CONSOLIDATED BALANCE SHEETS</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/StatementOfFinancialPositionClassifiedParenthetical" id="Role_StatementOfFinancialPositionClassifiedParen">
        <link:definition>104 - Statement - CONSOLIDATED BALANCE SHEETS (Parenthetical)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/StatementOfIncome" id="Role_StatementOfIncome">
        <link:definition>105 - Statement - CONSOLIDATED STATEMENTS OF OPERATIONS</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/StatementOfIncomeParenthetical" id="Role_StatementOfIncomeParen">
        <link:definition>106 - Statement - CONSOLIDATED STATEMENTS OF OPERATIONS (Parenthetical)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/StatementOfOtherComprehensiveIncome" id="Role_StatementOfOtherComprehensiveIncome">
        <link:definition>107 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/StatementOfShareholdersEquityAndOtherComprehensiveIncome" id="Role_basi-StatementOfShareholdersEquityAndOtherComprehensiveIncome">
        <link:definition>108 - Statement - CONSOLIDATED STATEMENTS OF STOCKHOLDERS' EQUITY</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/StatementOfCashFlowsIndirect" id="Role_StatementOfCashFlowsIndirect">
        <link:definition>109 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/StatementOfCashFlowsIndirectParenthetical" id="Role_StatementOfCashFlowsIndirectParen">
        <link:definition>110 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS (Parenthetical)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsNatureOfOperations" id="Role_NotesToFinancialStatementsNatureOfOperations">
        <link:definition>111 - Disclosure - Organization</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsSignificantAccountingPoliciesTextBlock" id="Role_NotesToFinancialStatementsSignificantAccountingPoliciesTextBlock">
        <link:definition>112 - Disclosure - Summary of Significant Accounting Policies</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsNewAccountingPronouncementsAndChangesInAccountingPrinciplesTextBlock" id="Role_NotesToFinancialStatementsNewAccountingPronouncementsAndChangesInAccountingPrinciplesTextBlock">
        <link:definition>113 - Disclosure - Recent Accounting Standards</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsFairValueDisclosuresTextBlock" id="Role_NotesToFinancialStatementsFairValueDisclosuresTextBlock">
        <link:definition>114 - Disclosure - Fair Value Measurements</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsInvestmentsInDebtAndMarketableEquitySecuritiesAndCertainTradingAssetsDisclosureTextBlock" id="Role_NotesToFinancialStatementsInvestmentsInDebtAndMarketableEquitySecuritiesAndCertainTradingAssetsDisclosureTextBlock">
        <link:definition>115 - Disclosure - Short-term Investments</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsLoansNotesTradeAndOtherReceivablesDisclosureTextBlock" id="Role_NotesToFinancialStatementsLoansNotesTradeAndOtherReceivablesDisclosureTextBlock">
        <link:definition>116 - Disclosure - Accounts Receivable</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlock" id="Role_NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlock">
        <link:definition>117 - Disclosure - Property and Equipment</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsRestructuringAndRelatedActivitiesDisclosureTextBlock" id="Role_NotesToFinancialStatementsRestructuringAndRelatedActivitiesDisclosureTextBlock">
        <link:definition>118 - Disclosure - Restructuring</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsDeferredRevenueDisclosureTextBlock" id="Role_NotesToFinancialStatementsDeferredRevenueDisclosureTextBlock">
        <link:definition>119 - Disclosure - Deferred Revenue and Advance Payments</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock" id="Role_NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock">
        <link:definition>120 - Disclosure - Commitments and Contingencies</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsIncomeTaxDisclosureTextBlock" id="Role_NotesToFinancialStatementsIncomeTaxDisclosureTextBlock">
        <link:definition>121 - Disclosure - Income Taxes</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock" id="Role_NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock">
        <link:definition>122 - Disclosure - Share-based Compensation</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsEarningsPerShareTextBlock" id="Role_NotesToFinancialStatementsEarningsPerShareTextBlock">
        <link:definition>123 - Disclosure - Basic and Diluted Earnings per Share</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsTreasuryStockTextBlock" id="Role_NotesToFinancialStatementsTreasuryStockTextBlock">
        <link:definition>124 - Disclosure - Treasury Stock</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsCompensationAndEmployeeBenefitPlansTextBlock" id="Role_NotesToFinancialStatementsCompensationAndEmployeeBenefitPlansTextBlock">
        <link:definition>125 - Disclosure - Employee Benefit Plan</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsDisposalGroupsIncludingDiscontinuedOperationsDisclosureTextBlock" id="Role_NotesToFinancialStatementsDisposalGroupsIncludingDiscontinuedOperationsDisclosureTextBlock">
        <link:definition>126 - Disclosure - Discontinued Operations</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsSegmentReportingDisclosureTextBlock" id="Role_NotesToFinancialStatementsSegmentReportingDisclosureTextBlock">
        <link:definition>127 - Disclosure - Segment Information</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsQuarterlyFinancialInformationTextBlock" id="Role_NotesToFinancialStatementsQuarterlyFinancialInformationTextBlock">
        <link:definition>128 - Disclosure - Selected Quarterly Financial Data (Unaudited)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsSubsequentEventsTextBlock" id="Role_NotesToFinancialStatementsSubsequentEventsTextBlock">
        <link:definition>129 - Disclosure - Subsequent Events</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsScheduleOfValuationAndQualifyingAccountsDisclosureTextBlock" id="Role_NotesToFinancialStatementsScheduleOfValuationAndQualifyingAccountsDisclosureTextBlock">
        <link:definition>130 - Disclosure - Schedule II Valuation And Qualifying Accounts</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsSignificantAccountingPoliciesTextBlockPolicies" id="Role_NotesToFinancialStatementsSignificantAccountingPoliciesTextBlockPolicies">
        <link:definition>131 - Disclosure - Summary of Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsFairValueDisclosuresTextBlockTables" id="Role_NotesToFinancialStatementsFairValueDisclosuresTextBlockTables">
        <link:definition>132 - Disclosure - Fair Value Measurements (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsLoansNotesTradeAndOtherReceivablesDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsLoansNotesTradeAndOtherReceivablesDisclosureTextBlockTables">
        <link:definition>133 - Disclosure - Accounts Receivable (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlockTables">
        <link:definition>134 - Disclosure - Property and Equipment (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsRestructuringAndRelatedActivitiesDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsRestructuringAndRelatedActivitiesDisclosureTextBlockTables">
        <link:definition>135 - Disclosure - Restructuring (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsDeferredRevenueDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsDeferredRevenueDisclosureTextBlockTables">
        <link:definition>136 - Disclosure - Deferred Revenue and Advance Payments (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlockTables">
        <link:definition>137 - Disclosure - Commitments and Contingencies (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsIncomeTaxDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsIncomeTaxDisclosureTextBlockTables">
        <link:definition>138 - Disclosure - Income Taxes (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlockTables" id="Role_NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlockTables">
        <link:definition>139 - Disclosure - Share-based Compensation (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsEarningsPerShareTextBlockTables" id="Role_NotesToFinancialStatementsEarningsPerShareTextBlockTables">
        <link:definition>140 - Disclosure - Basic and Diluted Earnings per Share (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsDisposalGroupsIncludingDiscontinuedOperationsDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsDisposalGroupsIncludingDiscontinuedOperationsDisclosureTextBlockTables">
        <link:definition>141 - Disclosure - Discontinued Operations (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsSegmentReportingDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsSegmentReportingDisclosureTextBlockTables">
        <link:definition>142 - Disclosure - Segment Information (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/NotesToFinancialStatementsQuarterlyFinancialInformationTextBlockTables" id="Role_NotesToFinancialStatementsQuarterlyFinancialInformationTextBlockTables">
        <link:definition>143 - Disclosure - Selected Quarterly Financial Data (Unaudited) (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureSummaryOfSignificantAccountingPoliciesAdditionalInformation" id="DisclosureSummaryOfSignificantAccountingPoliciesAdditionalInformation">
        <link:definition>144 - Disclosure - Summary of Significant Accounting Policies - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureRecentAccountingStandardsAdditionalInformation" id="DisclosureRecentAccountingStandardsAdditionalInformation">
        <link:definition>145 - Disclosure - Recent Accounting Standards - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureFinancialAssetsAndLiabilitiesMeasuredAtFairValueOnRecurringBasisByLevelWithinFairValueHierarchy" id="DisclosureFinancialAssetsAndLiabilitiesMeasuredAtFairValueOnRecurringBasisByLevelWithinFairValueHierarchy">
        <link:definition>146 - Disclosure - Financial Assets and Liabilities Measured at Fair Value on Recurring Basis by Level within Fair Value Hierarchy (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureSaleContractsConsistedInForeignCurrencyForwardContractsOutstanding" id="DisclosureSaleContractsConsistedInForeignCurrencyForwardContractsOutstanding">
        <link:definition>147 - Disclosure - Sale Contracts Consisted in Foreign Currency Forward Contracts Outstanding (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureChangesInFairValueOfForeignCurrencyForwardContracts" id="DisclosureChangesInFairValueOfForeignCurrencyForwardContracts">
        <link:definition>148 - Disclosure - Changes in Fair Value of Foreign Currency Forward Contracts (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureShortTermInvestmentsAdditionalInformation" id="DisclosureShortTermInvestmentsAdditionalInformation">
        <link:definition>149 - Disclosure - Short Term Investments - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureAccountsReceivable" id="DisclosureAccountsReceivable">
        <link:definition>150 - Disclosure - Accounts Receivable (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureComponentsOfPropertyAndEquipment" id="DisclosureComponentsOfPropertyAndEquipment">
        <link:definition>151 - Disclosure - Components of Property and Equipment (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosurePropertyAndEquipmentAdditionalInformation" id="DisclosurePropertyAndEquipmentAdditionalInformation">
        <link:definition>152 - Disclosure - Property and Equipment - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureRestructuringAdditionalInformation" id="DisclosureRestructuringAdditionalInformation">
        <link:definition>153 - Disclosure - Restructuring - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureSummaryOfMajorTypesOfCostsCumulativeCostsIncurredAndTotalCostExpectedAssociatedWithRestructuringActivities" id="DisclosureSummaryOfMajorTypesOfCostsCumulativeCostsIncurredAndTotalCostExpectedAssociatedWithRestructuringActivities">
        <link:definition>154 - Disclosure - Summary of Major Types of Costs, Cumulative Costs Incurred and Total Cost Expected Associated With Restructuring Activities (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureSummaryOfChangesInRestructuringRelatedLiabilities" id="DisclosureSummaryOfChangesInRestructuringRelatedLiabilities">
        <link:definition>155 - Disclosure - Summary of Changes in Restructuring-Related Liabilities (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureDeferredRevenueAndAdvancePayments" id="DisclosureDeferredRevenueAndAdvancePayments">
        <link:definition>156 - Disclosure - Deferred Revenue and Advance Payments (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureCommitmentsAndContingenciesAdditionalInformation" id="DisclosureCommitmentsAndContingenciesAdditionalInformation">
        <link:definition>157 - Disclosure - Commitments and Contingencies - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureFutureMinimumRentPaymentsUnderNoncancellableOperatingAndCapitalLeases" id="DisclosureFutureMinimumRentPaymentsUnderNoncancellableOperatingAndCapitalLeases">
        <link:definition>158 - Disclosure - Future Minimum Rent Payments Under Noncancellable Operating and Capital Leases (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureComponentsOfIncomeFromContinuingOperationsBeforeIncomeTaxes" id="DisclosureComponentsOfIncomeFromContinuingOperationsBeforeIncomeTaxes">
        <link:definition>159 - Disclosure - Components of Income from Continuing Operations Before Income Taxes (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureBenefitFromOrProvisionForIncomeTaxesFromContinuingOperations" id="DisclosureBenefitFromOrProvisionForIncomeTaxesFromContinuingOperations">
        <link:definition>160 - Disclosure - Benefit from or Provision for Income Taxes from Continuing Operations (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureReconciliationOfEffectiveIncomeTaxRate" id="DisclosureReconciliationOfEffectiveIncomeTaxRate">
        <link:definition>161 - Disclosure - Reconciliation of Effective Income Tax Rate (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureIncomeTaxesAdditionalInformation" id="DisclosureIncomeTaxesAdditionalInformation">
        <link:definition>162 - Disclosure - Income Taxes - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureEffectiveRateForIncomeFromOperationsBeforeIncomeTaxes" id="DisclosureEffectiveRateForIncomeFromOperationsBeforeIncomeTaxes">
        <link:definition>163 - Disclosure - Effective Rate for Income from Operations Before Income Taxes (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureComponentsOfDeferredTaxAssetsAndLiabilities" id="DisclosureComponentsOfDeferredTaxAssetsAndLiabilities">
        <link:definition>164 - Disclosure - Components of Deferred Tax Assets and Liabilities (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureScheduleOfChangesInUnrecognizedTaxBenefits" id="DisclosureScheduleOfChangesInUnrecognizedTaxBenefits">
        <link:definition>165 - Disclosure - Schedule Of Changes In Unrecognized Tax Benefits (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureShareBasedCompensationAdditionalInformation" id="DisclosureShareBasedCompensationAdditionalInformation">
        <link:definition>166 - Disclosure - Share Based Compensation - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureSummaryOfStockOptionActivity" id="DisclosureSummaryOfStockOptionActivity">
        <link:definition>167 - Disclosure - Summary of Stock Option Activity (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureRangeOfExercisePrices" id="DisclosureRangeOfExercisePrices">
        <link:definition>168 - Disclosure - Range of Exercise Prices (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureAssumptionsUsedInDeterminingFairValueOfOptionsGranted" id="DisclosureAssumptionsUsedInDeterminingFairValueOfOptionsGranted">
        <link:definition>169 - Disclosure - Assumptions Used in Determining Fair Value of Options Granted (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureComputationOfBasicAndDilutedEarningslossPerShare" id="DisclosureComputationOfBasicAndDilutedEarningslossPerShare">
        <link:definition>170 - Disclosure - Computation of Basic and Diluted Earnings (loss) Per Share (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureBasicAndDilutedEarningsPerShareAdditionalInformation" id="DisclosureBasicAndDilutedEarningsPerShareAdditionalInformation">
        <link:definition>171 - Disclosure - Basic and Diluted Earnings per Share - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureTreasuryStockAdditionalInformation" id="DisclosureTreasuryStockAdditionalInformation">
        <link:definition>172 - Disclosure - Treasury Stock - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureEmployeeBenefitPlanAdditionalInformation" id="DisclosureEmployeeBenefitPlanAdditionalInformation">
        <link:definition>173 - Disclosure - Employee Benefit Plan - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureDiscontinuedOperationsAdditionalInformation" id="DisclosureDiscontinuedOperationsAdditionalInformation">
        <link:definition>174 - Disclosure - Discontinued Operations - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureSummaryOfRevenuesAndPreTaxLossGeneratedByAngelDotComBusinessInAdditionToPreTaxGainOnSaleRecorded" id="DisclosureSummaryOfRevenuesAndPreTaxLossGeneratedByAngelDotComBusinessInAdditionToPreTaxGainOnSaleRecorded">
        <link:definition>175 - Disclosure - Summary of Revenues and Pre-Tax Loss Generated by Angel Dot Com Business In Addition to Pre-Tax Gain on Sale Recorded (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureSegmentInformationAdditionalInformation" id="DisclosureSegmentInformationAdditionalInformation">
        <link:definition>176 - Disclosure - Segment Information - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureTotalRevenuesGrossProfitAndLongLivedAssetsExcludingLongTermDeferredTaxAssets" id="DisclosureTotalRevenuesGrossProfitAndLongLivedAssetsExcludingLongTermDeferredTaxAssets">
        <link:definition>177 - Disclosure - Total Revenues Gross Profit and Long Lived Assets Excluding Long Term Deferred Tax Assets (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureSelectedQuarterlyFinancialDataAdditionalInformation" id="DisclosureSelectedQuarterlyFinancialDataAdditionalInformation">
        <link:definition>178 - Disclosure - Selected Quarterly Financial Data - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureStatementOfOperationsInformation" id="DisclosureStatementOfOperationsInformation">
        <link:definition>179 - Disclosure - Statement of Operations Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureSubsequentEventsAdditionalInformation" id="DisclosureSubsequentEventsAdditionalInformation">
        <link:definition>180 - Disclosure - Subsequent Events - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureValuationAndQualifyingAccounts" id="DisclosureValuationAndQualifyingAccounts">
        <link:definition>181 - Disclosure - Valuation And Qualifying Accounts (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.microstrategy.com/taxonomy/role/DisclosureComponentsOfDeferredTaxAssetsAndLiabilitiesAlternate1" id="DisclosureComponentsOfDeferredTaxAssetsAndLiabilitiesAlt1">
        <link:definition>182 - Disclosure - Components of Deferred Tax Assets and Liabilities (Detail) (Alternate 1)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:href="mstr-20141231_cal.xml" xlink:title="Calculation Links, all"/>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:href="mstr-20141231_def.xml" xlink:title="Definition Links, all"/>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:href="mstr-20141231_lab.xml" xlink:title="Label Links, all"/>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:href="mstr-20141231_pre.xml" xlink:title="Presentation Links, all"/>
    </appinfo>
  </annotation>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <import namespace="http://fasb.org/us-types/2014-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2014/elts/us-types-2014-01-31.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd"/>
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <import namespace="http://fasb.org/us-gaap/2014-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/country/2013-01-31" schemaLocation="http://xbrl.sec.gov/country/2013/country-2013-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/currency/2014-01-31" schemaLocation="http://xbrl.sec.gov/currency/2014/currency-2014-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/dei/2014-01-31" schemaLocation="http://xbrl.sec.gov/dei/2014/dei-2014-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/exch/2014-01-31" schemaLocation="http://xbrl.sec.gov/exch/2014/exch-2014-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/invest/2013-01-31" schemaLocation="http://xbrl.sec.gov/invest/2013/invest-2013-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/naics/2011-01-31" schemaLocation="http://xbrl.sec.gov/naics/2011/naics-2011-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/sic/2011-01-31" schemaLocation="http://xbrl.sec.gov/sic/2011/sic-2011-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/stpr/2011-01-31" schemaLocation="http://xbrl.sec.gov/stpr/2011/stpr-2011-01-31.xsd"/>
  <element name="AircraftAndAircraftRelatedEquipmentMember" id="mstr_AircraftAndAircraftRelatedEquipmentMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="AmendedPlanMember" id="mstr_AmendedPlanMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="AngelComMember" id="mstr_AngelComMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="AnnualMaximumContributionToParticipant401kPlan" id="mstr_AnnualMaximumContributionToParticipant401kPlan" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="AreaOfRealEstatePropertyCeasedToBeUsed" id="mstr_AreaOfRealEstatePropertyCeasedToBeUsed" type="num:areaItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="CommitmentsAndContingenciesLineItems" id="mstr_CommitmentsAndContingenciesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="CommitmentsAndContingenciesTable" id="mstr_CommitmentsAndContingenciesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ComponentsOfDeferredTaxAssetsAndLiabilitiesLineItems" id="mstr_ComponentsOfDeferredTaxAssetsAndLiabilitiesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ComponentsOfDeferredTaxAssetsAndLiabilitiesTable" id="mstr_ComponentsOfDeferredTaxAssetsAndLiabilitiesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ComponentsOfIncomeTaxExpenseBenefitLineItems" id="mstr_ComponentsOfIncomeTaxExpenseBenefitLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ComponentsOfIncomeTaxExpenseBenefitTable" id="mstr_ComponentsOfIncomeTaxExpenseBenefitTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ComputerEquipmentAndPurchasedSoftwareMember" id="mstr_ComputerEquipmentAndPurchasedSoftwareMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DeferredTaxAssetsFederal" id="mstr_DeferredTaxAssetsFederal" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DeferredTaxAssetsOperatingLossCarryforwardsForTaxDeductionsRelatedToEquityCompensation" id="mstr_DeferredTaxAssetsOperatingLossCarryforwardsForTaxDeductionsRelatedToEquityCompensation" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DerivativeInstrumentsGainLossByNatureAxis" id="mstr_DerivativeInstrumentsGainLossByNatureAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:dimensionItem"/>
  <element name="DerivativeInstrumentsGainLossByNatureDomain" id="mstr_DerivativeInstrumentsGainLossByNatureDomain" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DiscontinuedOperationsTransactionCosts" id="mstr_DiscontinuedOperationsTransactionCosts" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DocumentAndEntityInformationAbstract" id="mstr_DocumentAndEntityInformationAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EarningsLossPerShareLineItems" id="mstr_EarningsLossPerShareLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EarningsLossPerShareTable" id="mstr_EarningsLossPerShareTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="EarningsPerShareLineItems" id="mstr_EarningsPerShareLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EarningsPerShareTable" id="mstr_EarningsPerShareTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="EffectiveIncomeTaxRateReconciliationAdjustmentToDeferredTaxAndRateChanges" id="mstr_EffectiveIncomeTaxRateReconciliationAdjustmentToDeferredTaxAndRateChanges" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EffectiveIncomeTaxRateReconciliationReleaseOfUnrecognizedTaxBenefits" id="mstr_EffectiveIncomeTaxRateReconciliationReleaseOfUnrecognizedTaxBenefits" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EffectiveIncomeTaxRateTable" id="mstr_EffectiveIncomeTaxRateTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ExecutiveDirector1Member" id="mstr_ExecutiveDirector1Member" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ExercisePriceRangeFourMember" id="mstr_ExercisePriceRangeFourMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ExercisePriceRangeThreeMember" id="mstr_ExercisePriceRangeThreeMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ExercisePriceRangeTwoMember" id="mstr_ExercisePriceRangeTwoMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="FairValueAssumptionsDisclosureLineItems" id="mstr_FairValueAssumptionsDisclosureLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="FairValueAssumptionsDisclosureTable" id="mstr_FairValueAssumptionsDisclosureTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="FutureMinimumPurchaseCommitmentsByCustomers" id="mstr_FutureMinimumPurchaseCommitmentsByCustomers" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="GrossCurrentDeferredRevenueAndAdvancePayments" id="mstr_GrossCurrentDeferredRevenueAndAdvancePayments" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="GrossNonCurrentDeferredRevenueAndAdvancePayments" id="mstr_GrossNonCurrentDeferredRevenueAndAdvancePayments" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="HeldToMaturitySecuritiesMaturity" id="mstr_HeldToMaturitySecuritiesMaturity" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="IncomeTaxesLineItems" id="mstr_IncomeTaxesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="IncomeTaxesTable" id="mstr_IncomeTaxesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="IncomeTaxReconciliationAxis" id="mstr_IncomeTaxReconciliationAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:dimensionItem"/>
  <element name="IncomeTaxReconciliationDomain" id="mstr_IncomeTaxReconciliationDomain" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="IncreaseInIncomeFromContinuingOperationsFromReductionInAccruedBonusExpense" id="mstr_IncreaseInIncomeFromContinuingOperationsFromReductionInAccruedBonusExpense" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="LeaseExpirationMonthYear" id="mstr_LeaseExpirationMonthYear" type="xbrli:gYearMonthItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="LeasesFutureMinimumPaymentsLineItems" id="mstr_LeasesFutureMinimumPaymentsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="LeasesFutureMinimumPaymentsTable" id="mstr_LeasesFutureMinimumPaymentsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="LicenseCostsAndCostOfGoodsSoldSubscriptionCosts" id="mstr_LicenseCostsAndCostOfGoodsSoldSubscriptionCosts" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="LicensesAndSubscriptionRevenue" id="mstr_LicensesAndSubscriptionRevenue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="LossContingenciesAndLegalCostsPolicyTextBlock" id="mstr_LossContingenciesAndLegalCostsPolicyTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NonDeductableOfficersCompensationMember" id="mstr_NonDeductableOfficersCompensationMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NonEmployeeDirectorsMember" id="mstr_NonEmployeeDirectorsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NonsoftwareServiceSupportAndMaintenanceArrangementCurrent" id="mstr_NonsoftwareServiceSupportAndMaintenanceArrangementCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NonsoftwareServiceSupportAndMaintenanceArrangementNonCurrent" id="mstr_NonsoftwareServiceSupportAndMaintenanceArrangementNonCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NorthernVirginiaOfficeAdditionalOfficeSpaceMember" id="mstr_NorthernVirginiaOfficeAdditionalOfficeSpaceMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NorthernVirginiaOfficeSpaceMember" id="mstr_NorthernVirginiaOfficeSpaceMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NumberOfIndividualCountryContributingAsTotalConsolidatedAssets" id="mstr_NumberOfIndividualCountryContributingAsTotalConsolidatedAssets" type="xbrli:integerItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NumberOfIndividualCountryContributingAsTotalConsolidatedRevenues" id="mstr_NumberOfIndividualCountryContributingAsTotalConsolidatedRevenues" type="xbrli:integerItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NumberOfIndividualCustomerContributingAsMajorCustomer" id="mstr_NumberOfIndividualCustomerContributingAsMajorCustomer" type="xbrli:integerItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OfficeEquipmentAndAutomobilesMember" id="mstr_OfficeEquipmentAndAutomobilesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OfficeFurnitureAndCorporateAircraftMember" id="mstr_OfficeFurnitureAndCorporateAircraftMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OtherIncomeExpenseNetMember" id="mstr_OtherIncomeExpenseNetMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OtherRegionsMember" id="mstr_OtherRegionsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OtherStockIncentivePlansMember" id="mstr_OtherStockIncentivePlansMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PaymentsForCapitalizedSoftwareDevelopmentCosts" id="mstr_PaymentsForCapitalizedSoftwareDevelopmentCosts" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ProceedsFromDivestitureOfBusinessNetOfTransactionCosts" id="mstr_ProceedsFromDivestitureOfBusinessNetOfTransactionCosts" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="QuarterlyFinancialInformationLineItems" id="mstr_QuarterlyFinancialInformationLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="QuarterlyFinancialInformationTable" id="mstr_QuarterlyFinancialInformationTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="RealizedGainLossOnDerivativesMember" id="mstr_RealizedGainLossOnDerivativesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ReconciliationOfEffectiveIncomeTaxRateTable" id="mstr_ReconciliationOfEffectiveIncomeTaxRateTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ReleaseOfLiabilityForUnrecognizedTaxBenefits" id="mstr_ReleaseOfLiabilityForUnrecognizedTaxBenefits" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="RestructuringAndRelatedCostDecreaseInExpectedCost" id="mstr_RestructuringAndRelatedCostDecreaseInExpectedCost" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfComponentsOfIncomeBeforeIncomeTaxExpenseBenefitLineItems" id="mstr_ScheduleOfComponentsOfIncomeBeforeIncomeTaxExpenseBenefitLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfComponentsOfIncomeBeforeIncomeTaxExpenseBenefitTable" id="mstr_ScheduleOfComponentsOfIncomeBeforeIncomeTaxExpenseBenefitTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ScheduleOfEffectiveRateForIncomeTaxTableTextBlock" id="mstr_ScheduleOfEffectiveRateForIncomeTaxTableTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfEffectiveTaxRatesLineItems" id="mstr_ScheduleOfEffectiveTaxRatesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfQuarterlyFinancialInformationLineItems" id="mstr_ScheduleOfQuarterlyFinancialInformationLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfQuarterlyFinancialInformationTable" id="mstr_ScheduleOfQuarterlyFinancialInformationTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="ScheduleOfUnrecognizedTaxBenefitsLineItems" id="mstr_ScheduleOfUnrecognizedTaxBenefitsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ScheduleOfUnrecognizedTaxBenefitsTable" id="mstr_ScheduleOfUnrecognizedTaxBenefitsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="SeveranceAndOtherEmployeeRelatedCostsMember" id="mstr_SeveranceAndOtherEmployeeRelatedCostsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfSharesAuthorizedPerParticipant" id="mstr_ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfSharesAuthorizedPerParticipant" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfSharesAuthorizedRemaining" id="mstr_ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfSharesAuthorizedRemaining" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsAggregateIntrinsicValueAbstract" id="mstr_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsAggregateIntrinsicValueAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExpectedToVestOutstandingAggregateIntrinsicValue" id="mstr_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExpectedToVestOutstandingAggregateIntrinsicValue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExpectedToVestOutstandingNumber" id="mstr_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExpectedToVestOutstandingNumber" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExpectedToVestOutstandingWeightedAverageExercisePrice" id="mstr_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExpectedToVestOutstandingWeightedAverageExercisePrice" type="num:perShareItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExpectedToVestWeightedAverageRemainingContractualTerm1" id="mstr_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsExpectedToVestWeightedAverageRemainingContractualTerm1" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingWeightedAverageRemainingContractualTermAbstract" id="mstr_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingWeightedAverageRemainingContractualTermAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardRepurchaseOfAwardsForCash" id="mstr_ShareBasedCompensationArrangementByShareBasedPaymentAwardRepurchaseOfAwardsForCash" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SignificantChangeInUnrecognizedTaxBenefitsByItemAxis" id="mstr_SignificantChangeInUnrecognizedTaxBenefitsByItemAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:dimensionItem"/>
  <element name="SignificantChangeInUnrecognizedTaxBenefitsByItemDomain" id="mstr_SignificantChangeInUnrecognizedTaxBenefitsByItemDomain" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SoftwareLicenseArrangementCurrent" id="mstr_SoftwareLicenseArrangementCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SoftwareLicenseArrangementNonCurrent" id="mstr_SoftwareLicenseArrangementNonCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SoftwareServiceSubscriptionArrangementCurrent" id="mstr_SoftwareServiceSubscriptionArrangementCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SoftwareServiceSubscriptionArrangementNoncurrent" id="mstr_SoftwareServiceSubscriptionArrangementNoncurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SoftwareServiceSupportAndMaintenanceArrangementCurrent" id="mstr_SoftwareServiceSupportAndMaintenanceArrangementCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SoftwareServiceSupportAndMaintenanceArrangementNonCurrent" id="mstr_SoftwareServiceSupportAndMaintenanceArrangementNonCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="StockIncentivePlanTwentyThirteenMember" id="mstr_StockIncentivePlanTwentyThirteenMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SummaryOfSignificantAccountingPoliciesLineItems" id="mstr_SummaryOfSignificantAccountingPoliciesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SummaryOfSignificantAccountingPoliciesTable" id="mstr_SummaryOfSignificantAccountingPoliciesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="TaxCreditCarryforwardExpirationYear" id="mstr_TaxCreditCarryforwardExpirationYear" type="xbrli:gYearItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="TotalCostsMember" id="mstr_TotalCostsMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="TwentyFourteenRestructuringPlanMember" id="mstr_TwentyFourteenRestructuringPlanMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="TwoThousandFiveShareRepurchaseProgramMember" id="mstr_TwoThousandFiveShareRepurchaseProgramMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="UnpaidDeferredRevenue" id="mstr_UnpaidDeferredRevenue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="UnpaidDeferredRevenueCurrent" id="mstr_UnpaidDeferredRevenueCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="UnpaidDeferredRevenueNonCurrent" id="mstr_UnpaidDeferredRevenueNonCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="UnrealizedGainLossOnDerivativesMember" id="mstr_UnrealizedGainLossOnDerivativesMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="UnrecognizedTaxBenefitsDecreasesResultingFromNettingAgainstDeferredTaxAssets" id="mstr_UnrecognizedTaxBenefitsDecreasesResultingFromNettingAgainstDeferredTaxAssets" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="UnrecognizedTaxBenefitsOtherMember" id="mstr_UnrecognizedTaxBenefitsOtherMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="VarianceBelowMinimumVsoeRate" id="mstr_VarianceBelowMinimumVsoeRate" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
</schema>